﻿using System;
using System.Collections.Generic;
using System.Text;
using HeuristicLab.PluginInfrastructure;

namespace HeuristicLab.PluginInfrastructure.Runner {

  public class ActivatorContext : IActivatorContext {

    private IPluginLoader loader;
    internal ActivatorContext(IPluginLoader pluginLoader) {
      loader = pluginLoader;
    }

    public IList<IPlugin> Plugins => loader.Plugins;
    public IList<IApplication> Applications => loader.Applications;
  }
}
