﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Text;

namespace HeuristicLab.PluginInfrastructure.Runner {
  public class PluginLoaderFactory {
    public static IPluginLoader Create() {
      return Create(Directory.GetCurrentDirectory());
    }

    internal static IPluginLoader Create(string basePath) {
      return new PluginLoader(basePath, new AssemblyLoader(basePath));
    }
  }
}
